import { DependencyErrorType } from './types';
export declare class ShouldBeMockedDependencyError extends Error {
    readonly lifetime: string;
    readonly property: string;
    readonly type: DependencyErrorType;
    readonly propertyType: 'get' | 'set' | 'function';
    constructor(lifetime: string, property: string, propertyType: 'get' | 'set' | 'function');
}
